% function [pp ppAll] = AMAengine(r,sigma,ctgInd);
%
%   compute the posterior probability of each stimulus' category from
%   the mean filter response(s) to each stimulus in the training set, 
% 
% r:      mean  filter response(s) for each stimulus in training set   [numStims x numFilters]  
% sigma:  SD of filter response(s) for each stimulus in training set   [numStims x numFilters]                                     
% ctgInd: category index of each stimulus in training set              [numStims x 1]       
% %%%%%%%%%%%%%%%%%%%%%%
% pp:     posterior probability of correct category, for each stimulus [numStims x 1]
% ppAll:  posterior probability of all categories, for each stimulus   [numStims x numCtg]